# Generated from grape_odata-0.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name grape_odata

Name: rubygem-%{gem_name}
Version: 0.0.0
Release: 1%{?dist}
Summary: Enable Grape API Framework to use the ODATA pattern
License: MIT
URL: https://github.com/aronlmin/grape_odata
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
The ODATA query pattern allows API's to talk to clients like Microsoft Excel,
and other very popular client applications in a uniform way. If HTTP REST is
the protocol, ODATA is a specific pattern that API's follow.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.0-1
- Initial package
